---
type: api
title: Create saved objects
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-bulkcreatesavedobjects
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-bulkcreatesavedobjects
products:
  - Kibana
---

# Create saved objects

deprecated

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/saved_objects/_bulk_create`
- `POST` `/s/{space_id}/api/saved_objects/_bulk_create`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Query String Parameters

- `overwrite` (boolean)
  When true, overwrites the document with the same identifier.

## Request Body

`application/json`

Type: `[] object`


## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `object`

#### `400`

Bad request

`application/json`

- `error` (enum)
  Values: `Bad Request`
- `message` (string)
- `statusCode` (enum)
  Values: `400`
## Code Examples

#### Console

```console
POST /api/saved_objects/_bulk_create
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/saved_objects/_bulk_create" \
  -H "kbn-xsrf: true"
```

